# ext/memory File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/memory.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- struct __gnu_cxx::temporary_buffer< _ForwardIterator, _Tp >

## Defines

- #define _EXT_MEMORY

## Functions

- template<typename _InputIter, typename _Size, typename _ForwardIter> pair< _InputIter, _ForwardIter > __gnu_cxx::__uninitialized_copy_n (_InputIter __first, _Size __count, _ForwardIter __result)
- template<typename _RandomAccessIter, typename _Size, typename _ForwardIter> pair< _RandomAccessIter, _ForwardIter > __gnu_cxx::__uninitialized_copy_n (_RandomAccessIter __first, _Size __count, _ForwardIter __result, std::random_access_iterator_tag)
- template<typename _InputIter, typename _Size, typename _ForwardIter> pair< _InputIter, _ForwardIter > __gnu_cxx::__uninitialized_copy_n (_InputIter __first, _Size __count, _ForwardIter __result, std::input_iterator_tag)
- template<typename _InputIter, typename _Size, typename _ForwardIter, typename _Tp> pair< _InputIter, _ForwardIter > __gnu_cxx::__uninitialized_copy_n_a (_InputIter __first, _Size __count, _ForwardIter __result, std::allocator< _Tp >)
- template<typename _InputIter, typename _Size, typename _ForwardIter, typename _Allocator> pair< _InputIter, _ForwardIter > __gnu_cxx::__uninitialized_copy_n_a (_InputIter __first, _Size __count, _ForwardIter __result, _Allocator __alloc)
- template<typename _InputIter, typename _Size, typename _ForwardIter> pair< _InputIter, _ForwardIter > __gnu_cxx::uninitialized_copy_n (_InputIter __first, _Size __count, _ForwardIter __result)